Skip to main content
POST
/
action
/
youtube_thumbnail_generate_packaging_action
[YT4] Generate YouTube Packaging
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/youtube_thumbnail_generate_packaging_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input_mode": "new_video",
  "output_variable_name": "youtube_packaging",
  "topic": "<string>",
  "video_url": "<string>",
  "key_takeaways": "<string>",
  "target_audience": "<string>",
  "thumbnail_direction": "<string>",
  "thumbnail_style": "bold"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
input_mode
enum<string>
default:new_video
required
Available options:
new_video,
existing_video
output_variable_name
string
default:youtube_packaging
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
topic
string
video_url
string
key_takeaways
string
target_audience
string
thumbnail_direction
string
thumbnail_style
enum<string>
Available options:
bold,
clean,
dark,
minimalist

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action